Bug 7772 - Allows mounting the same file system multiple times
Allows mounting the same file system multiple times
Status: RESOLVED WONTFIX
Product: CifsVFS
Classification: Unclassified
Component: user space tools
2.6
Other Linux
: P3 normal
: ---
Assigned To: Jeff Layton
http://bugs.debian.org/589218
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-02 14:24 UTC by Debian samba package maintainers (PUBLIC MAILING LIST)
Modified: 2011-02-01 13:21 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Debian samba package maintainers (PUBLIC MAILING LIST) 2010-11-02 14:24:09 UTC
mykerinos:/var/log# mount -o user=bubulle //kheops/famille /mnt
Password: 
mykerinos:/var/log# mount -o user=bubulle //kheops/famille /mnt
Password: 
mykerinos:/var/log# cat /etc/mtab
.../...
//kheops/famille/ /mnt cifs rw,mand 0 0
//kheops/famille/ /mnt cifs rw,mand 0 0
mykerinos:/var/log# umount /mnt
mykerinos:/var/log# umount /mnt
mykerinos:/var/log#


It seems that mount.cifs allows mounting the same filesystem multiple times on the same mountpoint.

This was reported as Debian bug #589218


This was with cifs-utils 4.5 as we haven't packaged 4.7 yet.
Comment 1 Jeff Layton 2010-12-22 11:17:24 UTC
I suppose we could disallow this somehow, but *should* we? Is this specifically disallowed?
Comment 2 Jeff Layton 2011-02-01 13:21:16 UTC
Looking at the debian BTS...

If mount.cifs is appending an extra / to the device, then that sounds like a bug. I think it's actually already fixed by this patch that went into 4.6:

commit 5e1924a6f79c1b07d9bcb4977b58f94efaaa0301
Author: Jeff Layton <jlayton@samba.org>
Date:   Wed Jun 16 10:50:54 2010 -0400

    mount.cifs: use original device name as-is for mtab
    
...now, as far as refusing to mount an existing cifs mount on top of another...

I don't see any reason why it should be explicitly disallowed. mount.nfs for instance allows this to occur. Why shouldn't we?

Given that, I'm going to close this as WONTFIX. Please reopen if you want to discuss it further...